// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: pkg/protos/realserver.proto

package realserver

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ForwardType int32

const (
	ForwardType_FT_UNSPECIFIED  ForwardType = 0
	ForwardType_FT_DIRECT_ROUTE ForwardType = 1
	ForwardType_FT_TUNNEL       ForwardType = 2
)

// Enum value maps for ForwardType.
var (
	ForwardType_name = map[int32]string{
		0: "FT_UNSPECIFIED",
		1: "FT_DIRECT_ROUTE",
		2: "FT_TUNNEL",
	}
	ForwardType_value = map[string]int32{
		"FT_UNSPECIFIED":  0,
		"FT_DIRECT_ROUTE": 1,
		"FT_TUNNEL":       2,
	}
)

func (x ForwardType) Enum() *ForwardType {
	p := new(ForwardType)
	*p = x
	return p
}

func (x ForwardType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ForwardType) Descriptor() protoreflect.EnumDescriptor {
	return file_pkg_protos_realserver_proto_enumTypes[0].Descriptor()
}

func (ForwardType) Type() protoreflect.EnumType {
	return &file_pkg_protos_realserver_proto_enumTypes[0]
}

func (x ForwardType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ForwardType.Descriptor instead.
func (ForwardType) EnumDescriptor() ([]byte, []int) {
	return file_pkg_protos_realserver_proto_rawDescGZIP(), []int{0}
}

type Pooled int32

const (
	Pooled_P_UNSPECIFIED         Pooled = 0
	Pooled_P_YES                 Pooled = 1
	Pooled_P_NO                  Pooled = 2
	Pooled_P_DEPOOL_BLOCKED      Pooled = 3
	Pooled_P_DEPOOL_FAILED       Pooled = 4
	Pooled_P_REPOOL_FAILED       Pooled = 5
	Pooled_P_FORCE_REPOOL_FAILED Pooled = 6
)

// Enum value maps for Pooled.
var (
	Pooled_name = map[int32]string{
		0: "P_UNSPECIFIED",
		1: "P_YES",
		2: "P_NO",
		3: "P_DEPOOL_BLOCKED",
		4: "P_DEPOOL_FAILED",
		5: "P_REPOOL_FAILED",
		6: "P_FORCE_REPOOL_FAILED",
	}
	Pooled_value = map[string]int32{
		"P_UNSPECIFIED":         0,
		"P_YES":                 1,
		"P_NO":                  2,
		"P_DEPOOL_BLOCKED":      3,
		"P_DEPOOL_FAILED":       4,
		"P_REPOOL_FAILED":       5,
		"P_FORCE_REPOOL_FAILED": 6,
	}
)

func (x Pooled) Enum() *Pooled {
	p := new(Pooled)
	*p = x
	return p
}

func (x Pooled) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Pooled) Descriptor() protoreflect.EnumDescriptor {
	return file_pkg_protos_realserver_proto_enumTypes[1].Descriptor()
}

func (Pooled) Type() protoreflect.EnumType {
	return &file_pkg_protos_realserver_proto_enumTypes[1]
}

func (x Pooled) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Pooled.Descriptor instead.
func (Pooled) EnumDescriptor() ([]byte, []int) {
	return file_pkg_protos_realserver_proto_rawDescGZIP(), []int{1}
}

type Healthy int32

const (
	Healthy_H_UNSPECIFIED Healthy = 0
	Healthy_H_YES         Healthy = 1
	Healthy_H_NO          Healthy = 2
)

// Enum value maps for Healthy.
var (
	Healthy_name = map[int32]string{
		0: "H_UNSPECIFIED",
		1: "H_YES",
		2: "H_NO",
	}
	Healthy_value = map[string]int32{
		"H_UNSPECIFIED": 0,
		"H_YES":         1,
		"H_NO":          2,
	}
)

func (x Healthy) Enum() *Healthy {
	p := new(Healthy)
	*p = x
	return p
}

func (x Healthy) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Healthy) Descriptor() protoreflect.EnumDescriptor {
	return file_pkg_protos_realserver_proto_enumTypes[2].Descriptor()
}

func (Healthy) Type() protoreflect.EnumType {
	return &file_pkg_protos_realserver_proto_enumTypes[2]
}

func (x Healthy) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Healthy.Descriptor instead.
func (Healthy) EnumDescriptor() ([]byte, []int) {
	return file_pkg_protos_realserver_proto_rawDescGZIP(), []int{2}
}

type Realserver struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Address     string      `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	Mark        uint32      `protobuf:"varint,2,opt,name=mark,proto3" json:"mark,omitempty"`
	Weight      uint32      `protobuf:"varint,3,opt,name=weight,proto3" json:"weight,omitempty"`
	Svc         string      `protobuf:"bytes,4,opt,name=svc,proto3" json:"svc,omitempty"` // service
	ForwardType ForwardType `protobuf:"varint,5,opt,name=forward_type,json=forwardType,proto3,enum=realserver.ForwardType" json:"forward_type,omitempty"`
	Pooled      Pooled      `protobuf:"varint,6,opt,name=pooled,proto3,enum=realserver.Pooled" json:"pooled,omitempty"`
	Healthy     Healthy     `protobuf:"varint,7,opt,name=healthy,proto3,enum=realserver.Healthy" json:"healthy,omitempty"`
	Hostname    string      `protobuf:"bytes,8,opt,name=hostname,proto3" json:"hostname,omitempty"`
}

func (x *Realserver) Reset() {
	*x = Realserver{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_realserver_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Realserver) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Realserver) ProtoMessage() {}

func (x *Realserver) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_realserver_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Realserver.ProtoReflect.Descriptor instead.
func (*Realserver) Descriptor() ([]byte, []int) {
	return file_pkg_protos_realserver_proto_rawDescGZIP(), []int{0}
}

func (x *Realserver) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *Realserver) GetMark() uint32 {
	if x != nil {
		return x.Mark
	}
	return 0
}

func (x *Realserver) GetWeight() uint32 {
	if x != nil {
		return x.Weight
	}
	return 0
}

func (x *Realserver) GetSvc() string {
	if x != nil {
		return x.Svc
	}
	return ""
}

func (x *Realserver) GetForwardType() ForwardType {
	if x != nil {
		return x.ForwardType
	}
	return ForwardType_FT_UNSPECIFIED
}

func (x *Realserver) GetPooled() Pooled {
	if x != nil {
		return x.Pooled
	}
	return Pooled_P_UNSPECIFIED
}

func (x *Realserver) GetHealthy() Healthy {
	if x != nil {
		return x.Healthy
	}
	return Healthy_H_UNSPECIFIED
}

func (x *Realserver) GetHostname() string {
	if x != nil {
		return x.Hostname
	}
	return ""
}

type Realservers struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Realservers []*Realserver `protobuf:"bytes,1,rep,name=realservers,proto3" json:"realservers,omitempty"`
}

func (x *Realservers) Reset() {
	*x = Realservers{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_realserver_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Realservers) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Realservers) ProtoMessage() {}

func (x *Realservers) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_realserver_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Realservers.ProtoReflect.Descriptor instead.
func (*Realservers) Descriptor() ([]byte, []int) {
	return file_pkg_protos_realserver_proto_rawDescGZIP(), []int{1}
}

func (x *Realservers) GetRealservers() []*Realserver {
	if x != nil {
		return x.Realservers
	}
	return nil
}

var File_pkg_protos_realserver_proto protoreflect.FileDescriptor

var file_pkg_protos_realserver_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x72, 0x65, 0x61,
	0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x72,
	0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x22, 0x97, 0x02, 0x0a, 0x0a, 0x52, 0x65,
	0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x64, 0x64, 0x72,
	0x65, 0x73, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65,
	0x73, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x61, 0x72, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d,
	0x52, 0x04, 0x6d, 0x61, 0x72, 0x6b, 0x12, 0x16, 0x0a, 0x06, 0x77, 0x65, 0x69, 0x67, 0x68, 0x74,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x06, 0x77, 0x65, 0x69, 0x67, 0x68, 0x74, 0x12, 0x10,
	0x0a, 0x03, 0x73, 0x76, 0x63, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x73, 0x76, 0x63,
	0x12, 0x3a, 0x0a, 0x0c, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x5f, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x17, 0x2e, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72,
	0x76, 0x65, 0x72, 0x2e, 0x46, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x54, 0x79, 0x70, 0x65, 0x52,
	0x0b, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x54, 0x79, 0x70, 0x65, 0x12, 0x2a, 0x0a, 0x06,
	0x70, 0x6f, 0x6f, 0x6c, 0x65, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x12, 0x2e, 0x72,
	0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e, 0x50, 0x6f, 0x6f, 0x6c, 0x65, 0x64,
	0x52, 0x06, 0x70, 0x6f, 0x6f, 0x6c, 0x65, 0x64, 0x12, 0x2d, 0x0a, 0x07, 0x68, 0x65, 0x61, 0x6c,
	0x74, 0x68, 0x79, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x72, 0x65, 0x61, 0x6c,
	0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x79, 0x52, 0x07,
	0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x79, 0x12, 0x1a, 0x0a, 0x08, 0x68, 0x6f, 0x73, 0x74, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x68, 0x6f, 0x73, 0x74, 0x6e,
	0x61, 0x6d, 0x65, 0x22, 0x47, 0x0a, 0x0b, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65,
	0x72, 0x73, 0x12, 0x38, 0x0a, 0x0b, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72,
	0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52,
	0x0b, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x73, 0x2a, 0x45, 0x0a, 0x0b,
	0x46, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x54, 0x79, 0x70, 0x65, 0x12, 0x12, 0x0a, 0x0e, 0x46,
	0x54, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12,
	0x13, 0x0a, 0x0f, 0x46, 0x54, 0x5f, 0x44, 0x49, 0x52, 0x45, 0x43, 0x54, 0x5f, 0x52, 0x4f, 0x55,
	0x54, 0x45, 0x10, 0x01, 0x12, 0x0d, 0x0a, 0x09, 0x46, 0x54, 0x5f, 0x54, 0x55, 0x4e, 0x4e, 0x45,
	0x4c, 0x10, 0x02, 0x2a, 0x8b, 0x01, 0x0a, 0x06, 0x50, 0x6f, 0x6f, 0x6c, 0x65, 0x64, 0x12, 0x11,
	0x0a, 0x0d, 0x50, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10,
	0x00, 0x12, 0x09, 0x0a, 0x05, 0x50, 0x5f, 0x59, 0x45, 0x53, 0x10, 0x01, 0x12, 0x08, 0x0a, 0x04,
	0x50, 0x5f, 0x4e, 0x4f, 0x10, 0x02, 0x12, 0x14, 0x0a, 0x10, 0x50, 0x5f, 0x44, 0x45, 0x50, 0x4f,
	0x4f, 0x4c, 0x5f, 0x42, 0x4c, 0x4f, 0x43, 0x4b, 0x45, 0x44, 0x10, 0x03, 0x12, 0x13, 0x0a, 0x0f,
	0x50, 0x5f, 0x44, 0x45, 0x50, 0x4f, 0x4f, 0x4c, 0x5f, 0x46, 0x41, 0x49, 0x4c, 0x45, 0x44, 0x10,
	0x04, 0x12, 0x13, 0x0a, 0x0f, 0x50, 0x5f, 0x52, 0x45, 0x50, 0x4f, 0x4f, 0x4c, 0x5f, 0x46, 0x41,
	0x49, 0x4c, 0x45, 0x44, 0x10, 0x05, 0x12, 0x19, 0x0a, 0x15, 0x50, 0x5f, 0x46, 0x4f, 0x52, 0x43,
	0x45, 0x5f, 0x52, 0x45, 0x50, 0x4f, 0x4f, 0x4c, 0x5f, 0x46, 0x41, 0x49, 0x4c, 0x45, 0x44, 0x10,
	0x06, 0x2a, 0x31, 0x0a, 0x07, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x79, 0x12, 0x11, 0x0a, 0x0d,
	0x48, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12,
	0x09, 0x0a, 0x05, 0x48, 0x5f, 0x59, 0x45, 0x53, 0x10, 0x01, 0x12, 0x08, 0x0a, 0x04, 0x48, 0x5f,
	0x4e, 0x4f, 0x10, 0x02, 0x42, 0x3f, 0x5a, 0x3d, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x77,
	0x69, 0x6b, 0x69, 0x6d, 0x65, 0x64, 0x69, 0x61, 0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x72, 0x65, 0x70,
	0x6f, 0x73, 0x2f, 0x73, 0x72, 0x65, 0x2f, 0x6c, 0x69, 0x62, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f,
	0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x72, 0x65, 0x61, 0x6c, 0x73,
	0x65, 0x72, 0x76, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_protos_realserver_proto_rawDescOnce sync.Once
	file_pkg_protos_realserver_proto_rawDescData = file_pkg_protos_realserver_proto_rawDesc
)

func file_pkg_protos_realserver_proto_rawDescGZIP() []byte {
	file_pkg_protos_realserver_proto_rawDescOnce.Do(func() {
		file_pkg_protos_realserver_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_protos_realserver_proto_rawDescData)
	})
	return file_pkg_protos_realserver_proto_rawDescData
}

var file_pkg_protos_realserver_proto_enumTypes = make([]protoimpl.EnumInfo, 3)
var file_pkg_protos_realserver_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_pkg_protos_realserver_proto_goTypes = []interface{}{
	(ForwardType)(0),    // 0: realserver.ForwardType
	(Pooled)(0),         // 1: realserver.Pooled
	(Healthy)(0),        // 2: realserver.Healthy
	(*Realserver)(nil),  // 3: realserver.Realserver
	(*Realservers)(nil), // 4: realserver.Realservers
}
var file_pkg_protos_realserver_proto_depIdxs = []int32{
	0, // 0: realserver.Realserver.forward_type:type_name -> realserver.ForwardType
	1, // 1: realserver.Realserver.pooled:type_name -> realserver.Pooled
	2, // 2: realserver.Realserver.healthy:type_name -> realserver.Healthy
	3, // 3: realserver.Realservers.realservers:type_name -> realserver.Realserver
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_pkg_protos_realserver_proto_init() }
func file_pkg_protos_realserver_proto_init() {
	if File_pkg_protos_realserver_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_protos_realserver_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Realserver); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_realserver_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Realservers); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_protos_realserver_proto_rawDesc,
			NumEnums:      3,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_pkg_protos_realserver_proto_goTypes,
		DependencyIndexes: file_pkg_protos_realserver_proto_depIdxs,
		EnumInfos:         file_pkg_protos_realserver_proto_enumTypes,
		MessageInfos:      file_pkg_protos_realserver_proto_msgTypes,
	}.Build()
	File_pkg_protos_realserver_proto = out.File
	file_pkg_protos_realserver_proto_rawDesc = nil
	file_pkg_protos_realserver_proto_goTypes = nil
	file_pkg_protos_realserver_proto_depIdxs = nil
}
